ObjectStream (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class ObjectStream

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.ObjectStream

    public class ObjectStream

extends java.lang.Object

This class implements the Object Stream, a new way of storing objects starting in PDF 1.4. An object stream can contain one or more objects, as described in Section 3.4 of the PostScript manual. JHOVE supports only FlateDecode as a filter for cross-reference streams. This is consistent with the implementation limitation described in Appendix H of the PDF manual for Acrobat 6 and earlier.

Author:
  Gary McGath

Constructor Summary
`ObjectStream(PdfStream ostrm, java.io.RandomAccessFile raf)` Constructor.

Method Summary
`PdfObject` | `getObject(int objnum)` Extracts an object from the stream.
`boolean` | `isValid()` Checks the validity of the stream dictionary, and extracts information necessary for subsequent reading.
`void` | `readIndex()` Reads the index of the object stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectStream

    public ObjectStream(PdfStream ostrm,
                        java.io.RandomAccessFile raf)

  Constructor.

Method Detail

### isValid

    public boolean isValid()

  Checks the validity of the stream dictionary, and extracts information necessary for subsequent reading.

### readIndex

    public void readIndex()
                   throws PdfException,
                          java.io.IOException

  Reads the index of the object stream.

  Throws:
    `PdfException`
    `java.io.IOException`

### getObject

    public PdfObject getObject(int objnum)
                        throws PdfException

  Extracts an object from the stream.

  Throws:
    `PdfException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD